#
# spec file for package screengrab
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           screengrab
Version:        1.101
Release:        lp151.1.2
Summary:        Qt tool for creating screenshots
License:        GPL-2.0-only
Group:          System/X11/Utilities
URL:            https://github.com/lxqt/screengrab
Source:         https://github.com/lxqt/screengrab/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxqt/screengrab/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.1.0
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5Core) >= 5.7.1
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xdg)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-shape)
BuildRequires:  pkgconfig(xcb-xfixes)
Recommends:     %{name}-lang

%description
Screenshot taker with the ability to publish them via hosting services.

%lang_package

%prep
%setup -q

%build
%cmake \
    -DSG_DBUS_NOTIFY=ON \
    -DSG_EXT_EDIT=OFF \
    -DSG_EXT_UPLOADS=OFF \
    -DSG_GLOBALSHORTCUTS=OFF \
    -DUPDATE_TRANSLATIONS=OFF

%install
%cmake_install
rm -rf %{buildroot}%{_datadir}/doc

%find_lang %{name} --with-qt

%files
%license COPYING
%doc AUTHORS CHANGELOG README.md docs/html
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.??g
%{_datadir}/screengrab/screengrab.conf

%files lang -f %{name}.lang
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations

%changelog
* Fri Mar  1 2019 mvetter@suse.com
- Update to 1.101:
  * Only translations was changed
* Thu Jan 31 2019 Michael Vetter <mvetter@suse.com>
- Update to 1.100:
  * Don’t crash with invalid config format
* Mon Jul 23 2018 mvetter@suse.com
- Update to 1.99:
  * Update translations
  * Add X11Extras and Network to link target
- Remove screengrab-1.98-build.patch: upstreamed
* Tue May 22 2018 mvetter@suse.com
- Require Qt >= 5.7.1
- Rename build.patch to screengrab-1.98-build.patch
- Add new default config file screengrab.conf
* Tue May 22 2018 adam.majer@suse.de
- cleanup cmake build
- build.patch: add missing requirements
* Tue May 22 2018 mvetter@suse.com
- Update to 1.98:
  * Update translations
  * A more specific condition for Ctrl+C
  * Filter out Ctrl+C in Delay box
  * No window screenshot with shaded windows
  * Always use contents rect Fixes https://github.com/lxqt/screengrab/issues/67
  * Never scale up beyond real size
  * Several fixes, especially for the tray icon
  * __DATE__ and __TIME__ macro are not very helpful for reproducible builds.
  * Added a minimum default configuration
  * Handle invalid window screenshots
  * Corrected a grammar mistake
  * Always use native (LXQt) file dialog
  * Just changed the location of a comment
  * Cleanup and fixes
  * Some ui polishing
  * Improve screengrab app behaviour
  * Drops Qt foreach
  * fix some uris
  * Update references in about dialog
* Sun May 20 2018 mvetter@suse.com
- Cleanup with spec-cleaner
- Adjust URL and tarball link
- Rename screengrab-keyring.gpg to screengrab.keyring
- Dont require gpg-offline, let OBS do checking
- Remove icon cache update statements
* Sat Feb 10 2018 and.november@opensuse.org
- run spec-cleaner
* Sat Feb 10 2018 and.november@opensuse.org
- build with Qt5
